cannot install virtualbox from sourcery

You have a problem with Salix? Post here and we'll do what we can to help.
Post Reply
User avatar
jsfarinet
Posts: 305
Joined: 23. Nov 2014, 07:32

cannot install virtualbox from sourcery

Post by jsfarinet » 4. Mar 2018, 07:36

I tried to install virtualbox from sourcery but the installation failed with this error:

-------
*** Building 'vboxdrv' module ***
make[1]: Verzeichnis „/usr/src/slapt-src/system/virtualbox-kernel/virtualbox-kernel-5.0.40/vboxdrv“ wird betreten
Makefile:195: *** Error: KERN_DIR does not point to a directory. Schluss.
make[1]: Verzeichnis „/usr/src/slapt-src/system/virtualbox-kernel/virtualbox-kernel-5.0.40/vboxdrv“ wird verlassen
Makefile:39: die Regel für Ziel „all“ scheiterte
make: *** [all] Fehler 2
fakeroot -- sh virtualbox-kernel.SlackBuild Gescheitert
-------

Any ideas? Thanks a lot in advance!

User avatar
gapan
Salix Wizard
Posts: 5383
Joined: 6. Jun 2009, 17:40

Re: cannot install virtualbox from sourcery

Post by gapan » 4. Mar 2018, 08:57

You're probably missing the kernel-source package. That said, virtualbox is one of the few things that are better installed using the binary provided on their webpage.
Image
Image

User avatar
jsfarinet
Posts: 305
Joined: 23. Nov 2014, 07:32

Re: cannot install virtualbox from sourcery

Post by jsfarinet » 4. Mar 2018, 11:15

Thanks gapan!

Sorry, if this is a dumb question: How do i install a binary into Salix? And which one?
For what i see they offer .deb and .rpm packages ...

TIA

User avatar
gapan
Salix Wizard
Posts: 5383
Joined: 6. Jun 2009, 17:40

Re: cannot install virtualbox from sourcery

Post by gapan » 4. Mar 2018, 11:25

In the list of downloads, there is an "All distributions" option. It's a file with a .run extension. Just run it:

Code: Select all

sudo sh VirtualBox-blahblah.run
You'll still need the kernel-source package.
Image
Image

User avatar
jsfarinet
Posts: 305
Joined: 23. Nov 2014, 07:32

Re: cannot install virtualbox from sourcery

Post by jsfarinet » 4. Mar 2018, 13:33

gapan thanks a lot!

I did, got an error msg about problems configuring vbox. I did what they proposed to do and then i got this:

-----
sudo /sbin/vboxconfig
vboxdrv.sh: Stopping VirtualBox services.
vboxdrv.sh: Building VirtualBox kernel modules.
This system is currently not set up to build kernel modules.
Please install the Linux kernel "header" files matching the current kernel
for adding new hardware support to the system.
This system is currently not set up to build kernel modules.
Please install the Linux kernel "header" files matching the current kernel
for adding new hardware support to the system.

There were problems setting up VirtualBox. To re-start the set-up process, run
/sbin/vboxconfig
as root.
-----

I looked, but it seems the kernel headers are installed in my system ... (?)

User avatar
laprjns
Salix Warrior
Posts: 1027
Joined: 28. Aug 2009, 01:30
Location: Connecticut USA

Re: cannot install virtualbox from sourcery

Post by laprjns » 4. Mar 2018, 13:37

Did you install the kernel-source package?

Code: Select all

$ sudo slapt-get -i kernel-source

User avatar
jsfarinet
Posts: 305
Joined: 23. Nov 2014, 07:32

Re: cannot install virtualbox from sourcery

Post by jsfarinet » 4. Mar 2018, 20:08

hi laprjns, thanks for your reply. I did what you suggested, but the result still is:

----
sudo sh VirtualBox-5.2.8-121009-Linux_amd64.run
Passwort:
Verifying archive integrity... All good.
Uncompressing VirtualBox for Linux installation.............
VirtualBox Version 5.2.8 r121009 (2018-02-26T15:44:11Z) installer
Removing previous installation of VirtualBox 5.2.8 r121009 from /opt/VirtualBox
Installing VirtualBox to /opt/VirtualBox
Python found: python, installing bindings...
This system is currently not set up to build kernel modules.
Please install the Linux kernel "header" files matching the current kernel
for adding new hardware support to the system.
This system is currently not set up to build kernel modules.
Please install the Linux kernel "header" files matching the current kernel
for adding new hardware support to the system.

There were problems setting up VirtualBox. To re-start the set-up process, run
/sbin/vboxconfig
as root.
------

So i controlled (in gslapt) what i've installed, and that it is:
kernel-source 4.4.118-noarch-1 (that's the result of the command you suggested - sudo slapt-get -i kernel-source)
kernel-headers 4.4.19-x86-1_slack14.2
kernel-huge 4.4.19-x86_64-1_slack14.2
kernel-modules 4.4.19-x86_64-1_slack14.2
kernel-firmware 20160823git-noarch-1_slack14.2

Any idea?

Thanks a lot in advance!

User avatar
laprjns
Salix Warrior
Posts: 1027
Joined: 28. Aug 2009, 01:30
Location: Connecticut USA

Re: cannot install virtualbox from sourcery

Post by laprjns » 4. Mar 2018, 20:32

Yes, you still have the original kernel installed (4.4.19). It needs to be updated to the latest kernel available for 14.2 which is 4.4.118. Do the following to update it:

Code: Select all

$ sudo slapt-get --update
$ sudo slapt-get --install  kernel-huge kernel-modules kernel-headers kernel-firmware kernel-source 
After these packages are installed and before you reboot make sure to update your boot loader. If you use lilo then do the following:

Code: Select all

$ sudo lilo -v
If you use elilo, then do the following:

Code: Select all

$ sudo eliloconfig

retrowertz
Posts: 2
Joined: 10. Sep 2018, 18:04

Re: cannot install virtualbox from sourcery

Post by retrowertz » 12. Sep 2018, 01:44

laprjns wrote:
4. Mar 2018, 20:32
Yes, you still have the original kernel installed (4.4.19). It needs to be updated to the latest kernel available for 14.2 which is 4.4.118. Do the following to update it:

Code: Select all

$ sudo slapt-get --update
$ sudo slapt-get --install  kernel-huge kernel-modules kernel-headers kernel-firmware kernel-source 
After these packages are installed and before you reboot make sure to update your boot loader. If you use lilo then do the following:

Code: Select all

$ sudo lilo -v
If you use elilo, then do the following:

Code: Select all

$ sudo eliloconfig
Thank you. after trying to install virtualbox from sorcery and failed, i tried to install from virtualbox.org. That installed fine but is not able to launch any environments or vboxes.

Image

This extra procedure to update lilo (eliloconfig in my case since im on UEFI) fixes the issue.

I propose to have this re-written and reposted as a proper documentation.

Post Reply